package speiger.src.coreengine.rendering.guiOld.base;

import speiger.src.coreengine.rendering.guiOld.GuiComponent;

public interface IInputComponent
{
	public default boolean isPopup()
	{
		return false;
	}
	
	public default boolean hasChildPopups()
	{
		return this instanceof GuiComponent && ((GuiComponent)this).hasPopups();
	}
}
